image:
  file: .gitpod.Dockerfile

tasks:
  - init: eval $(gp env -e)
    command: gradle gitpodRun

# exposed ports
ports:
  - port: 8080
    onOpen: notify
    visibility: public

vscode:
  extensions:
    - redhat.java
    - vscjava.vscode-java-debug
    - vscjava.vscode-java-test
    - pivotal.vscode-spring-boot
    - sdras.night-owl
    - vscode-icons-team.vscode-icons
